FS_WHEREIS(1)

NAME
fs_whereis - Reports each file server housing a file or directory

SYNOPSIS
fs whereis [-path <dir/file path>+] [-help]

fs whe [-p <dir/file path>+] [-h]

DESCRIPTION
The fs whereis command returns the name of each file server machine that houses the volume containing each directory or file named by the -path argument.

OPTIONS

-path <dir/file path>+
    Names each AFS file or directory for which to return the host file server machine. Partial pathnames are interpreted relative to the current working directory, which is also the default value if this argument is omitted.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The output includes a line for each specified directory or file. It names the file server machine on which the volume that houses the specified directory or file resides. A list of multiple machines indicates that the directory or file is in a replicated volume.

Machine names usually have a suffix indicating their cell membership. If the cell is not clear, use the fs whichcell command to display the cell in which the directory or file resides. To display the cell membership of the local machine, use the fs wscell command.

EXAMPLES
The following example indicates that volume housing the directory /afs/example.com resides is replicated on both "fs1.example.com" and "fs3.example.com":

   % fs whereis -path /afs/example.com
   File /afs/example.com is on hosts fs1.example.com fs3.example.com

PRIVILEGE REQUIRED
None

SEE ALSO
fs_whichcell(1), fs_wscell(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.